SKB_TX_TIMESTAMP(9)

NAME
skb_tx_timestamp - Driver hook for transmit timestamping

SYNOPSIS

void skb_tx_timestamp(struct sk_buff * skb);

ARGUMENTS

skb
    A socket buffer.

DESCRIPTION

Ethernet MAC Drivers should call this function in their hard_xmit function immediately before giving the sk_buff to the MAC hardware.

Specifically, one should make absolutely sure that this function is called before TX completion of this packet can trigger. Otherwise the packet could potentially already be freed.

COPYRIGHT